<!DOCTYPE html>
<html lang="es">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Tarea</title>

    <!-- jQuery -->
    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js"></script>

    <!-- JS propio -->
    <script type="module" src="index.js"></script>

    <!-- css propio -->
    <link rel="stylesheet" href="styles.css">
</head>

<body>
    <nav class="navbar bg-primary navbar-expand-lg" data-bs-theme="dark">
        <div class="container-fluid">
            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav ms-auto mb-2 mb-lg-0">
                    <li class="nav-item">
                        <a id="registrarseOpcion" class="nav-link active" aria-current="page" data-bs-toggle="modal"
                            href="#modalRegistro">Registrar</a>
                    </li>
                    <li id="salirOpcion" class="nav-item">
                        <a class="nav-link active" href="#">Salir</a>
                    </li>
                </ul>
            </div>
        </div>
    </nav>

    <!-- Modal de registro -->
    <div class="modal fade" id="modalRegistro" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Registrate</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <form id="registroForm">
                        <div class="mb-3">
                            <label for="emailRegistro" class="form-label">Email:</label>
                            <input type="email" class="form-control" id="emailRegistro" placeholder="Ingrese su email">
                        </div>
                        <div class="mb-3">
                            <label for="contraRegistro" class="form-label">Contraseña:</label>
                            <input type="password" class="form-control" id="contraRegistro"
                                placeholder="Ingrese su contraseña">
                        </div>
                        <div class="mb-3">
                            <label for="rolRegistro" class="form-label">Rol:</label>
                            <Select class="form-select" id="rolRegistro">
                                <option value="normal">Normal</option>
                                <option value="administrador">Administrador</option>
                            </Select>
                        </div>
                        <div class="text-end">
                            <button type="submit" class="btn btn-primary btn-block">Registrarse</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>

    <!-- Login -->
    <div id="loginContainer" class="container mt-5">
        <div class="row justify-content-center">
            <div class="col-md-6">
                <div class="card">
                    <div class="card-header bg-primary text-white">
                        <h4 class="mb-0">Inicio de Sesión</h4>
                    </div>
                    <div class="card-body">
                        <form id="loginForm">
                            <div class="mb-3">
                                <label for="emailLogin" class="form-label">Email:</label>
                                <input type="email" class="form-control" id="emailLogin" placeholder="Ingrese su email">
                            </div>
                            <div class="mb-3">
                                <label for="contraLogin" class="form-label">Contraseña:</label>
                                <input type="password" class="form-control" id="contraLogin"
                                    placeholder="Ingrese su contraseña">
                            </div>
                            <button type="submit" class="btn btn-primary btn-block">Iniciar Sesión</button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Productos -->
    <div id="productosContainer" class="container mt-5">
    </div>

    <!-- Modal de form productos -->
    <div class="modal fade" id="modalProductos" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Productos</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <form id="productosForm">
                        <input type="hidden" class="form-control" id="idProducto">
                        <div class="mb-3">
                            <label for="nombreProducto" class="form-label">Nombre:</label>
                            <input type="text" class="form-control" id="nombreProducto" placeholder="Ingrese el nombre">
                        </div>
                        <div class="mb-3">
                            <label for="precioProducto" class="form-label">Precio:</label>
                            <input type="number" class="form-control" id="precioProducto"
                                placeholder="Ingrese el precio">
                        </div>
                        <div class="text-end">
                            <button type="submit" class="btn btn-primary btn-block">Guardar</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>

    <!-- Libreria de Bootstrap -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-T3c6CoIi6uLrA9TneNEoa7RxnatzjcDSCmG1MXxSR1GAsXEV/Dwwykc2MPK8M2HN" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-C6RzsynM9kWDrMNeT87bh95OGNyZPhcTNXj1NW7RuBCsyN/o0jlpcV8Qyq46cDfL"
        crossorigin="anonymous"></script>
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.11.1/font/bootstrap-icons.css">
</body>

</html>